summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorMicah Anderson <micah@riseup.net>2017-07-04 12:00:20 -0700
committerMicah Anderson <micah@riseup.net>2017-07-04 12:00:20 -0700
commit9adaa316050e3eed971fe316eb545ba74c562cca (patch)
tree63cf6b69f8575bbef1f4ae6c296ab0d4ec07eea5 /tests
parentf365b914662491ab33e6af18e1b02046f6b99538 (diff)
Fix upgrade_test failure.
See https://0xacab.org/leap/platform/-/jobs/14029 for an example.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/platform-ci/ci-build.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/platform-ci/ci-build.sh b/tests/platform-ci/ci-build.sh
index 9332c12c..1c9cc416 100755
--- a/tests/platform-ci/ci-build.sh
+++ b/tests/platform-ci/ci-build.sh
@@ -146,7 +146,8 @@ upgrade_test() {
# Checkout stable branch containing last release
# and deploy this
cd "$PLATFORMDIR"
- git remote add leap https://leap.se/git/leap_platform
+ # due to cache, this remote is sometimes already added
+ git remote add leap https://leap.se/git/leap_platform || true
git fetch leap
git checkout -b leap_stable remotes/leap/stable
# After checking out a different platform branch